Opcode (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class Opcode

- java.lang.Object
- - org.xbill.DNS.Opcode

-     public final class Opcode
      extends Object

  Constants and functions relating to DNS opcodes
  Author:
    Brian Wellington

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IQUERY` An inverse query (deprecated)
    `static int` | `NOTIFY` A message from a primary to a secondary server to initiate a zone transfer
    `static int` | `QUERY` A standard query
    `static int` | `STATUS` A server status request (not used)
    `static int` | `UPDATE` A dynamic update message

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `string(int i)` Converts a numeric Opcode into a String
    `static int` | `value(String s)` Converts a String representation of an Opcode into its numeric value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUERY

          public static final int QUERY

      A standard query
      See Also:
        Constant Field Values

    - #### IQUERY

          public static final int IQUERY

      An inverse query (deprecated)
      See Also:
        Constant Field Values

    - #### STATUS

          public static final int STATUS

      A server status request (not used)
      See Also:
        Constant Field Values

    - #### NOTIFY

          public static final int NOTIFY

      A message from a primary to a secondary server to initiate a zone transfer
      See Also:
        Constant Field Values

    - #### UPDATE

          public static final int UPDATE

      A dynamic update message
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### string

          public static String string(int i)

      Converts a numeric Opcode into a String

    - #### value

          public static int value(String s)

      Converts a String representation of an Opcode into its numeric value